com.atid.lib.reader.params

## Class StoredDataList.StoredData

- java.lang.Object
- - com.atid.lib.reader.params.StoredDataList.StoredData

- Enclosing class:
    StoredDataList

      public class StoredDataList.StoredData
      extends java.lang.Object

  The StoredData class is used by the StoredDataList class to represent each piece of data stored in the Device.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StoredData()` Create an instance of StoredData
    `StoredData(DataType type, java.lang.String data)` Create an instance of StoredData

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getData()` Returns data for a StoredData instance.
    `DataType` | `getType()` Returns the data type of the StoredData instance.
    `void` | `setData(java.lang.String data)` Sets the data for the StoredData instance.
    `void` | `setType(DataType type)` Sets the data type of the StoredData instance.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StoredData

          public StoredData()

      Create an instance of StoredData

    - #### StoredData

          public StoredData(DataType type,
                            java.lang.String data)

      Create an instance of StoredData
      Parameters:
        `type` - The DataType enumeration that represents the data type.
        `data` - A string representing the data.

  - ### Method Detail

    - #### getType

          public DataType getType()

      Returns the data type of the StoredData instance.
      Returns:
        The DataType enumeration that represents the data type.

    - #### setType

          public void setType(DataType type)

      Sets the data type of the StoredData instance.
      Parameters:
        `type` - The DataType enumeration that represents the data type.

    - #### getData

          public java.lang.String getData()

      Returns data for a StoredData instance.
      Returns:
        A string representing the data.

    - #### setData

          public void setData(java.lang.String data)

      Sets the data for the StoredData instance.
      Parameters:
        `data` - A string representing the data.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`